%define upstream_name	wxMaxima

Name:		wxmaxima
Version:	15.08.2
Release:	%mkrel 3
Summary:	An interface for the computer algebra system Maxima
Group:		Sciences/Mathematics
License:	GPLv2+
URL:		http://wxmaxima.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Requires:	maxima
BuildRequires:	libxml2-devel
BuildRequires:	wxgtku3.0-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
Recommends:	jsmath-fonts

%description
wxMaxima is a cross-platform graphical front-end for the computer
algebra system Maxima based on wxWidgets. It provides nice display
of mathematical output and easy access to Maxima functions through
menus and dialogs.


%prep
%setup -q

%build
%configure2_5x

%make_build

%install
%make_install

%find_lang %{upstream_name}

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --remove-category="Utility" \
    --remove-category="X-Red-Hat-Base" \
    --remove-category="X-Red-Hat-Base-Only" \
    --add-category="GTK" \
    --add-category="Science" \
    --add-category="Math" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*

#unneeded(?)
rm -rf %{buildroot}%{_datadir}/menu/wxmaxima.menu

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{upstream_name}.lang
%doc README COPYING AUTHORS ChangeLog NEWS
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{upstream_name}.desktop
%{_datadir}/%{upstream_name}/
%{_datadir}/appdata/wxmaxima.appdata.xml
%{_infodir}/wxmaxima.info.*
%{_mandir}/man1/wxmaxima.1.*
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*
%{_datadir}/bash-completion/completions/wxmaxima



%changelog
* Thu Jun 02 2016 daviddavid <daviddavid> 15.08.2-3.mga6
+ Revision: 1019825
- rebuild for wxgtk3.0 built with GTK2

* Wed Feb 17 2016 umeabot <umeabot> 15.08.2-2.mga6
+ Revision: 963296
- Mageia 6 Mass Rebuild

* Sat Sep 19 2015 wally <wally> 15.08.2-1.mga6
+ Revision: 881330
- new version 15.08.2

* Fri Sep 18 2015 wally <wally> 15.04.0-4.mga6
+ Revision: 880359
- rebuild for new gcc

* Sun Aug 16 2015 ycantin <ycantin> 15.04.0-3.mga6
+ Revision: 865176
- rebuild for new wxgtk built with wxRE_ADVANCED

* Thu Jul 23 2015 daviddavid <daviddavid> 15.04.0-2.mga6
+ Revision: 856266
- rebuild for new wxgtk built with gtk3

* Sat Jun 20 2015 wally <wally> 15.04.0-1.mga6
+ Revision: 836624
- new version 15.04.0

* Wed Feb 11 2015 wally <wally> 14.12.1-1.mga5
+ Revision: 814670
- new version 14.12.1
- switch to wxgtk3.0

* Wed Oct 15 2014 umeabot <umeabot> 13.04.2-4.mga5
+ Revision: 743775
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 13.04.2-3.mga5
+ Revision: 690385
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 13.04.2-2.mga4
+ Revision: 540739
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 grenoya <grenoya> 13.04.2-1.mga4
+ Revision: 494221
- new version 13.04.2

* Fri Jul 26 2013 grenoya <grenoya> 13.04.1-1.mga4
+ Revision: 458689
- new version 13.04.1

* Mon Jan 14 2013 umeabot <umeabot> 12.09.0-2.mga3
+ Revision: 385902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 grenoya <grenoya> 12.09.0-1.mga3
+ Revision: 296432
- new version 12.09.0

* Sun Jan 22 2012 kamil <kamil> 12.01.0-1.mga2
+ Revision: 199797
- new version 12.01.0
- fix file list

* Sun Jan 22 2012 kamil <kamil> 11.08.0-2.mga2
+ Revision: 199785
- rebuild against new gcc 4.6.2
- clean .spec

* Sat Sep 10 2011 grenoya <grenoya> 11.08.0-1.mga2
+ Revision: 142251
- upgrade to 11.08.0

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Thu Apr 21 2011 grenoya <grenoya> 0.8.6-2.mga1
+ Revision: 89490
- clean old Mdv syntax
- imported package wxmaxima


* Tue Nov 23 2010 Jani Välimaa <wally@mandriva.org> 0.8.6-2mdv2011.0
+ Revision: 599936
- suggest jsmath-fonts for better Greek characters and math symbols output

* Sat Nov 20 2010 Jani Välimaa <wally@mandriva.org> 0.8.6-1mdv2011.0
+ Revision: 599211
- new version 0.8.6

* Mon Nov 15 2010 Jani Välimaa <wally@mandriva.org> 0.8.5-2mdv2011.0
+ Revision: 597646
- fix desktop file (wrong icon name)

* Thu Apr 29 2010 Frederik Himpe <fhimpe@mandriva.org> 0.8.5-1mdv2010.1
+ Revision: 541061
- update to new version 0.8.5

* Wed Dec 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.4-1mdv2010.1
+ Revision: 479582
- update to new version 0.8.4

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.3a-1mdv2010.1
+ Revision: 422257
- Update to new version 0.8.3a
- Remove some Red Hat categories from desktop file

* Thu Jun 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.2-1mdv2010.0
+ Revision: 382898
- update to new version 0.8.2

* Fri Feb 06 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 338277
- update to new version 0.8.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Dec 06 2008 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2009.1
+ Revision: 311179
- Update to new version 0.8.0

* Thu Aug 21 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-1mdv2009.0
+ Revision: 274694
- update to new version 0.7.6

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.7.4-4mdv2009.0
+ Revision: 262183
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.7.4-3mdv2009.0
+ Revision: 256477
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.4-1mdv2008.1
+ Revision: 160925
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Adam Williamson <awilliamson@mandriva.org> 0.7.3-2mdv2008.0
+ Revision: 80506
- reduce menu categories as per frederik

* Tue Sep 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.7.3-1mdv2008.0
+ Revision: 79569
- need to do the icon name correction before the desktop-file-install to pass build tests...
- fix various category issues in xdg menu entry (#33119)
- drop old menu entry
- fd.o icons
- fix cut-n-paste-o in description
- use Fedora license policy
- small spec clean
- new release 0.7.3

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1-1mdv2008.0
+ Revision: 47275
- update to new version 0.7.1


* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.6.5-3mdv2007.0
+ Revision: 100707
- Import wxmaxima

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.6.5-3mdv2007.1
- use the right configure macro

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.5-2mdv2007.0
- buildrequires desktop-file-utils

* Wed Jun 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.5-1mdv2007.0
- contributed by PierreLag <pierre DOT lag AT gmail.com>

